Bug 20220 - Move template JavaScript to the footer: Holds
Summary: Move template JavaScript to the footer: Holds
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/reserve/request.pl
Whiteboard:
Keywords:
Depends on:
Blocks: 17858
  Show dependency treegraph
 
Reported: 2018-02-15 19:01 UTC by Owen Leonard
Modified: 2018-07-10 08:26 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20220: Move template JavaScript to the footer: Holds (16.41 KB, patch)
2018-04-25 18:10 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20220: Move template JavaScript to the footer: Holds (16.47 KB, patch)
2018-05-11 07:39 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 20220: Move template JavaScript to the footer: Holds (16.55 KB, patch)
2018-06-18 20:09 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-02-15 19:01:41 UTC
In order to conform to best practices for performance staff client template javascript should be in the footer instead of the header.

This patch will do so for the holds template.
Comment 1 Owen Leonard 2018-04-25 18:10:55 UTC
Created attachment 74852 [details] [review]
Bug 20220: Move template JavaScript to the footer: Holds

This patch modifies the holds template so that JavaScript is included in
the footer.

To test, apply the patch and initiate the process of placing a hold.
Throughout the process JavaScript-based interactions should work: Patron
autocomplete, datepickers, DataTables, cancel confirmations, etc.
Comment 2 Claire Gravely 2018-05-11 07:39:13 UTC
Created attachment 75257 [details] [review]
Bug 20220: Move template JavaScript to the footer: Holds

This patch modifies the holds template so that JavaScript is included in
the footer.

To test, apply the patch and initiate the process of placing a hold.
Throughout the process JavaScript-based interactions should work: Patron
autocomplete, datepickers, DataTables, cancel confirmations, etc.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Jonathan Druart 2018-06-18 20:09:31 UTC
Created attachment 76159 [details] [review]
Bug 20220: Move template JavaScript to the footer: Holds

This patch modifies the holds template so that JavaScript is included in
the footer.

To test, apply the patch and initiate the process of placing a hold.
Throughout the process JavaScript-based interactions should work: Patron
autocomplete, datepickers, DataTables, cancel confirmations, etc.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Nick Clemens 2018-07-06 14:47:30 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-07-10 08:26:56 UTC
Enhancement, not backporting to 18.05.x series.